plugins {
    kotlin("jvm") version "2.1.0"
}

group = "cn.qqck.kotlin"
version = "1.0-SNAPSHOT"

repositories {
    // maven { setUrl("https://maven.aliyun.com/repository/public") } // central仓和jcenter仓的聚合仓
    // maven { setUrl("https://maven.aliyun.com/repository/central") } // central仓和jcenter仓的聚合仓
    mavenCentral() // 官方仓库作为备用
    maven { setUrl("https://jitpack.io") } // 官方仓库作为备用

    // maven { setUrl("https://maven.aliyun.com/repository/gradle-plugin") } // 阿里云 Gradle 插件仓库
    // maven { setUrl("https://plugins.gradle.org/m2/") } // Gradle 插件仓库

    google()
    gradlePluginPortal()
}

dependencies {

    // https://github.com/Kotlin/kotlinx.coroutines
    implementation("org.jetbrains.kotlinx:kotlinx-coroutines-core:1.10.1")

    // https://github.com/square/okhttp
    implementation("com.squareup.okhttp3:okhttp:4.12.0")

}
